# PUBMED API Crawler

## API documentation
https://www.ncbi.nlm.nih.gov/books/NBK25501/

## Usage
### Entry function
The basic entry point of this crawler is the function `PUBMED.` `getMetadataWith`.

This function take a `Text` representing the query you want to run on pubmed
and a `Maybe Int` representing the maximum number of result you want to get.
### Return Type
The return type is a bit more tricky, it's **either** a `Text` representing an error or a collection of `PUBMED.Parser` `PubMed`.

`PubMed` is a simple type that contain every informations we need (id,title,abstract,publicationDate,sources).

### Exemple
Here is a basic main using the entry point of the crawler and printing the 5 first documents.
```hs
{-# LANGUAGE OverloadedStrings #-}

module Main where

import PUBMED (getMetadataWith)


main :: IO ()
main = getMetadataWith "bisphenol" (Just 5) >>= print

```
 
